<?php

namespace App\Http\Requests\Character;

use Illuminate\Foundation\Http\FormRequest;

class SendMailRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'title' => 'required|string|max:64',
            'message' => 'required|string|max:512',
            'item_id' => 'integer|min:0',
            'item_count' => 'integer|min:0|max:9999',
            'gold' => 'integer|min:0',
            'max_count' => 'integer|min:1',
            'item_data' => 'string|nullable',
        ];
    }
}
